#pragma once

#include "TipCommand.h"
#include "XMLUtil.h"

namespace tipuio
{
	class NPCOMMONUI_API PutPreviewDataAction : public TipCommand
	{
	public:
		DECLARE_PROPERTY_TIPACTION(PutPreviewDataAction)
		PutPreviewDataAction(void);
		virtual ~PutPreviewDataAction(void);

		//operation
		void SetPreviewNode(TiXmlElement* node);

		//override
		BOOL ExecuteImpl();
		
	private:
		TiXmlElement* m_PreviewNode;
	};
};

